#!/bin/bash

if [ -z "$2" ]; then
radpass="wildix"
else
radpass=$2
fi

if [ -z "$1" ]; then
ipaddr="127.0.0.0/24"
else
ipaddr=$1
fi

filetmp=mktemp;

if [ "$ipaddr" == "0.0.0.0/0" ]; then

cat > $filetmp <<EOT
#
#  Defines a RADIUS client.
#
client localhost {
        ipaddr = 127.0.0.1
        secret          = wildix
        require_message_authenticator = no
        nastype     = other     # localhost isn't usually a NAS...
}

client 0.0.0.0/1 {
        secret          = $radpass
        nastype         = other
}

client 128.0.0.0/1 {
        secret          = $radpass
        nastype         = other
}
EOT

else

cat > $filetmp <<EOT
#
#  Defines a RADIUS client.
#
client localhost {
        ipaddr = 127.0.0.1
        secret          = wildix
        require_message_authenticator = no
        nastype     = other     # localhost isn't usually a NAS...
}

client $ipaddr {
        secret          = $radpass
        nastype         = other
}
EOT

fi

sudo /bin/cp $filetmp /etc/freeradius/config.d/clients.conf&&sudo /bin/rm -rf $filetmp
